package com.ruoyi.project.patrol.fire.mapper;

import java.util.List;
import com.ruoyi.project.patrol.fire.domain.TFireHoseBox;

/**
 * 消防水带箱检查记录Mapper接口
 * 
 * @author admin
 * @date 2023-10-31
 */
public interface TFireHoseBoxMapper 
{
    /**
     * 查询消防水带箱检查记录
     * 
     * @param id 消防水带箱检查记录主键
     * @return 消防水带箱检查记录
     */
    public TFireHoseBox selectTFireHoseBoxById(Long id);

    /**
     * 查询消防水带箱检查记录列表
     * 
     * @param tFireHoseBox 消防水带箱检查记录
     * @return 消防水带箱检查记录集合
     */
    public List<TFireHoseBox> selectTFireHoseBoxList(TFireHoseBox tFireHoseBox);

    /**
     * 新增消防水带箱检查记录
     * 
     * @param tFireHoseBox 消防水带箱检查记录
     * @return 结果
     */
    public int insertTFireHoseBox(TFireHoseBox tFireHoseBox);

    /**
     * 修改消防水带箱检查记录
     * 
     * @param tFireHoseBox 消防水带箱检查记录
     * @return 结果
     */
    public int updateTFireHoseBox(TFireHoseBox tFireHoseBox);

    /**
     * 删除消防水带箱检查记录
     * 
     * @param id 消防水带箱检查记录主键
     * @return 结果
     */
    public int deleteTFireHoseBoxById(Long id);

    /**
     * 批量删除消防水带箱检查记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTFireHoseBoxByIds(Long[] ids);
}
